<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-success" (click)="update()" [disabled]="ngForm.invalid">
    <i class="fa fa-save mr-2"></i>Guardar
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="col-2">
          <div class="form-group">
            <label>Fecha
            </label>
            <input type="date" formControlName="Fecha" class="form-control" readonly>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label># Cargo
            </label>
            <input type="text" formControlName="NoCargo" class="form-control" readonly>
          </div>
        </div>
        <div class="col-2">
          <label class="w-100">Extensión</label>
          <input type="text" class="form-control" formControlName="exten" readonly>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>Hora
            </label>
            <kendo-timepicker
            [(ngModel)]="hour" [(value)]="hour" [ngModelOptions]="{standalone: true}" disabled="true">
            </kendo-timepicker>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>Minutos</label>
            <input type="number" min="1" max="999999" formControlName="Minutos" class="form-control" readonly>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>Teléfono</label>
            <input type="text" formControlName="Telefono" class="form-control" readonly>
          </div>
        </div>
        <div class="col-2">
          <label class="w-100">Llamada</label>
          <input type="text" class="form-control" formControlName="Llamada" readonly>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>T.L.</label>
            <input type="text" formControlName="TL" class="form-control" readonly>
          </div>
        </div>
        <div class="col-2">
          <label class="w-100">Tipo</label>
          <input type="text" class="form-control" formControlName="Tipo" readonly>
        </div>
        <div class="col-4">
          <div class="form-group">
            <label>Origen</label>
            <input type="text" formControlName="Origen" class="form-control" readonly>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>Clave</label>
            <input type="text" formControlName="Clave" class="form-control" readonly>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>S.M.</label>
            <input type="number" formControlName="SM" class="form-control" readonly>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>Costo</label>
            <input type="number" formControlName="Costo" class="form-control" readonly>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>Cargo</label>
            <input type="number" formControlName="Cargo" class="form-control" readonly>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>Impuestos</label>
            <input type="number" formControlName="Impuestos" class="form-control" readonly>
          </div>
        </div>
        <div class="col-2">
          <div class="form-group">
            <label>Total</label>
            <input type="number" formControlName="Total" class="form-control" readonly>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-2">
          <label class="w-100 mt-3"></label>
          <label class="k-form-field ml-sm-2">
            <input type="checkbox" id="Cxld" class="k-checkbox" formControlName="Cxld" value="false">
            <label class="k-checkbox-label" for="Cxld">Cxld</label>
          </label>
        </div>
        <div class="col-6" *ngIf="ngForm.value.Cxld">
          <label class="w-100">Notas</label>
          <input type="text" class="form-control" formControlName="Notas">
        </div>
      </div>
    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading" [selectable]="true" [filter]="filter" [filterable]="true"
      [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true" (selectionChange)="selectRow($event)"
      [pageSize]="pageSize" [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 60vh;"
      class="mt-1">
      <div *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="Fecha" title="Fecha" width="100">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.Fecha | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="NoCargo" title="# Cargo" width="100"></kendo-grid-column>
        <kendo-grid-column field="exten" title="Extensión" width="100" class="text-right"></kendo-grid-column>
        <kendo-grid-column field="Minutos" title="Minutos" width="100" class="text-right"></kendo-grid-column>
        <kendo-grid-column field="Cxld" title="Cxld" width="100">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{dataItem.Cxld ? 'Si' : 'No'}}
          </ng-template>
        </kendo-grid-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>
